local internal_api = ...

local mod_name = internal_api.mod_name
local S = internal_api.translate_single

-- Keep these in name order so conf file is easier to read
world_settings.register_bool(mod_name, "apiarist", true,
                             S("Add Apiarist as a villager profession"))
world_settings.register_bool(mod_name, "bag_of_capture", false,
                             S("Add a bag that can capture mobs"))
world_settings.register_bool(mod_name, "bee_farm", true,
                             S("Add a bee farm that can spawn as part of village creation"))
world_settings.register_bool(mod_name, "clear_leaves", false, S(
	                             "Clear leaves and vines directly above saplings when it grows"))
world_settings.register_bool(mod_name, "craft_buds", true,
                             S("Allow crafting budding amethyst blocks"))
world_settings.register_bool(mod_name, "dyeable_beds", true,
                             S("Dye can be used to recolor beds"))
world_settings.register_bool(mod_name, "dyeable_concrete", true,
                             S("Dye can be used to recolor concrete blocks"))
world_settings.register_bool(mod_name, "furnace_xp_yoink", false,
                             S("Sneak+use to take xp from furnaces"))
world_settings.register_bool(mod_name, "golems_eat_creepers", true,
                             S("Should iron golems attack creepers"))
world_settings.register_bool(mod_name, "graveyard", true, S("Enable the graveyard"))
world_settings.register_number(mod_name, "milk_bucket_stack", 1,
                               S("How many milk buckets can be in a stack"))
world_settings.register_bool(mod_name, "more_lapis", true,
                             S("Make Lapis ore generation closer to MC 1.17/1.18"))
world_settings.register_bool(mod_name, "name_villagers", true, S(
	                             "Enable automatically naming villagers who spawn as part of village creation"))
world_settings.register_bool(mod_name, "name_villages", true, S(
	                             "Enable automatically naming and creating waypoints for villages"))
world_settings.register_number(mod_name, "village_discovery_distance", 60, S(
	                               "Distance away from village waypoint for it to be detected"))
world_settings.register_bool(mod_name, "village_in_a_box", false,
                             S("Enable the village in a box building"))
world_settings.register_number(mod_name, "village_waypoint_distance", 180, S(
	                               "Distance away from village waypoint for it to be shown in hud"))
world_settings.register_bool(mod_name, "redstone_lantern", true,
                             S("Enable the Redstone lantern"))
world_settings.register_bool(mod_name, "stripped_stairs", false, S(
	                             "Adds stairs and slabs for stripped and stripped bark woods"))
world_settings.register_bool(mod_name, "split_quartz", true,
                             S("Allows splitting quartz blocks in to 4 quarts"))
world_settings.register_bool(mod_name, "tpads_for_villages", false,
                             S("Add a tpad to each village spawned"))
world_settings.register_bool(mod_name, "tpads_restyle", false,
                             S("Use animated portal image for tpads"))
world_settings.register_bool(mod_name, "tpads_starter", false,
                             S("Add 3 to 5 tpads to the starter chest"))
